package com.example.cookbook.model;

import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;

public class Komentar {

    private LocalDateTime komData;

    private String telefon;

    private Long recId;

    private Integer ocena;

    private String text;

    private String imePrezime;

    public String getImePrezime() {
        return imePrezime;
    }

    public void setImePrezime(String imePrezime) {
        this.imePrezime = imePrezime;
    }

    public Komentar(LocalDateTime komData, String telefon, Long recId, Integer ocena, String text) {
        this.komData = komData;
        this.telefon = telefon;
        this.recId = recId;
        this.ocena = ocena;
        this.text = text;
    }

    public Komentar(LocalDateTime komData, String telefon, Long recId, Integer ocena, String text, String imePrezime) {
        this.komData = komData;
        this.telefon = telefon;
        this.recId = recId;
        this.ocena = ocena;
        this.text = text;
        this.imePrezime = imePrezime;
    }

    public Komentar() {
    }

    public LocalDateTime getKomData() {
        return komData;
    }

    public void setKomData(LocalDateTime komData) {
        this.komData = komData;
    }

    public String getTelefon() {
        return telefon;
    }

    public void setTelefon(String telefon) {
        this.telefon = telefon;
    }

    public Long getRecId() {
        return recId;
    }

    public void setRecId(Long recId) {
        this.recId = recId;
    }

    public Integer getOcena() {
        return ocena;
    }

    public void setOcena(Integer ocena) {
        this.ocena = ocena;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public String getDataFormatirana(){
        return komData.format(DateTimeFormatter.ofPattern("yyyy-MMM-dd HH:mm"));
    }
}
