package com.example.cookbook.model;

import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;

public class Stavka {
    private LocalDateTime vreme;
    private String telefon;
    private String recIme;
    private String nacin;

    public LocalDateTime getVreme() {
        return vreme;
    }

    public void setVreme(LocalDateTime vreme) {
        this.vreme = vreme;
    }

    public String getTelefon() {
        return telefon;
    }

    public void setTelefon(String telefon) {
        this.telefon = telefon;
    }



    public String getNacin() {
        return nacin;
    }

    public void setNacin(String nacin) {
        this.nacin = nacin;
    }

    public String getRecIme() {
        return recIme;
    }

    public void setRecIme(String recIme) {
        this.recIme = recIme;
    }

    public Stavka(LocalDateTime vreme, String telefon, String recIme, String nacin) {
        this.vreme = vreme;
        this.telefon = telefon;
        this.recIme = recIme;
        this.nacin = nacin;
    }
    public String getDataFormatirana(){
        return vreme.format(DateTimeFormatter.ofPattern("yyyy-MMM-dd HH:mm"));
    }

    public Stavka() {
    }
}
